| Home | Libraries | People | FAQ | More

## Class template is_reference_wrapper

boost::is_reference_wrapper — Determine if a type `T` is an instantiation of `reference_wrapper`.

## Synopsis

    // In header: <boost/ref.hpp>

    template<typename T>
    class is_reference_wrapper {
    public:
      // static constants
      static const bool value = unspecified;
    };

## Description

The `value` static constant will be `true` iff the type `T` is a specialization of `reference_wrapper`.